Bug 1680640 - Crash in freetypescaler.c due to double free
Summary: Crash in freetypescaler.c due to double free
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk
Version: 29
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Severin Gehwolf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1680639 1680641 1680645
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-25 12:47 UTC by Paulo Andrade
Modified: 2019-05-03 03:41 UTC (History)
9 users (show)

Fixed In Version: java-1.8.0-openjdk-1.8.0.212.b04-0.fc30 java-1.8.0-openjdk-1.8.0.212.b04-0.fc28 java-1.8.0-openjdk-1.8.0.212.b04-0.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1680639
Environment:
Last Closed: 2019-05-03 00:58:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
openjdk bug system JDK-8132985 None None None 2019-02-25 19:30:46 UTC

Description Paulo Andrade 2019-02-25 12:47:30 UTC
+++ This bug was initially created as a clone of Bug #1680639 +++

Reproducer at https://bugs.openjdk.java.net/browse/JDK-8132985
also crashes in Fedora 29. So, should affect all java-1.8.0-packages
in rhel and fedora.
Patch is also available at bugs.openjdk.java.net.

Also reported at
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210226

Comment 1 Severin Gehwolf 2019-02-25 19:35:17 UTC
Reproducer is:

$ rpm -qf /usr/share/X11/fonts/Type1/c0632bt_.pfb
xorg-x11-fonts-Type1-7.5-20.fc29.noarch
$ wget http://hg.openjdk.java.net/jdk/jdk/raw-file/ee4488381c78/test/jdk/java/awt/FontClass/FontDisposer/FontDisposeTest.java
$ javac FontDisposeTest.java
$ java FontDisposeTest /usr/share/X11/fonts/Type1/c0632bt_.pfb
free(): double free detected in tcache 2
Aborted (core dumped)

Comment 2 Fedora Update System 2019-04-24 09:21:23 UTC
java-1.8.0-openjdk-1.8.0.212.b04-0.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ec644ec323

Comment 3 Fedora Update System 2019-04-24 09:21:27 UTC
java-1.8.0-openjdk-1.8.0.212.b04-0.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c701e6605a

Comment 4 Fedora Update System 2019-04-24 09:21:31 UTC
java-1.8.0-openjdk-1.8.0.212.b04-0.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5557661da8

Comment 5 Fedora Update System 2019-04-24 20:28:01 UTC
java-1.8.0-openjdk-1.8.0.212.b04-0.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5557661da8

Comment 6 Fedora Update System 2019-04-25 00:24:10 UTC
java-1.8.0-openjdk-1.8.0.212.b04-0.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c701e6605a

Comment 7 Fedora Update System 2019-04-25 02:25:48 UTC
java-1.8.0-openjdk-1.8.0.212.b04-0.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ec644ec323

Comment 8 Fedora Update System 2019-05-03 00:58:29 UTC
java-1.8.0-openjdk-1.8.0.212.b04-0.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-05-03 01:35:46 UTC
java-1.8.0-openjdk-1.8.0.212.b04-0.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-05-03 03:41:50 UTC
java-1.8.0-openjdk-1.8.0.212.b04-0.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.